<?php

/**
 * 
 * @author Payment Plugins
 *
 */
class Braintree_Gateway_Donation_Loader_Settings extends Braintree_Gateway_Settings_API
{

	public function __construct()
	{
		$this->page = 'braintree-gateway-settings';
		$this->id = 'donation_settings';
		$this->tab = 'donation-settings';
		$this->title = array ( 
				'title' => __( 'Loader Settings', 'braintree' ), 
				'description' => __( 'This option allows you to enable a loader overlay which will trigger when the donation is being processed. It\'s a
                        great way to let your donors know dynamically that the payment is going through.', 'braintree' ) 
		);
		add_filter( 'braintree_gateway_default_settings', array ( 
				$this, 
				'get_default_settings' 
		) );
		add_action( "braintree_gateway_{$this->tab}_save_settings", array ( 
				$this, 
				'save' 
		) );
	}

	public function output_settings( $key, $data )
	{
		$field_key = $this->get_field_key_name( $key );
		$data = wp_parse_args( $data, $this->get_default_custom_html_args() );
		include bt_manager()->plugin_admin_path() . 'html-helpers/settings-modal.php';
	}

	public function settings()
	{
		return array ( 
				'donation_enable_loader' => array ( 
						'type' => 'checkbox', 
						'title' => __( 'Checkout Loader', 'braintree' ), 
						'default' => '', 
						'value' => 'yes', 
						'tool_tip' => true, 
						'class' => 'filled-in', 
						'description' => __( 'If enabled, a loader will appear around the payment form to let the customer know that the payment is processing.', 'braintree' ) 
				), 
				'donation_custom_form_loader_message' => array ( 
						'type' => 'textarea', 
						'title' => __( 'Loader HTML', 'braintree' ), 
						'default' => __( '<div class="custom-form-checkout-loader"><h1>Processing...</h1></div>', 'braintree' ), 
						'value' => '', 
						'tool_tip' => true, 
						'description' => __( 'This is the html that will appear inside the loader overaly. You can add your own animation here or custom html. The customizations are endless.', 'braintree' ) 
				), 
				'donation_custom_form_loader_css' => array ( 
						'type' => 'textarea', 
						'title' => __( 'Loader CSS', 'braintree' ), 
						'default' => '{"border":"none","width":"80%","max-width":"300px"}', 
						'placeholder' => '', 
						'class' => '', 
						'tool_tip' => true, 
						'description' => __( 'This option allows you to enter custom css for the loader. The css must be entered in json format.' ) 
				) 
		);
	}
}