<?php
/**
 * File that is used for Version 2.3.0 update.
 */

$environments = array ( 
		'sandbox', 
		'production' 
);

$license_status = bt_manager()->get_payments_config( 'braintree_payments_license_status' );

$license = bt_manager()->get_payments_config( 'braintree_payments_license' );

bt_manager()->settings[ 'license_status' ] = ! empty( $license_status ) ? $license_status : bt_manager()->settings[ 'license_status' ];

bt_manager()->settings[ 'license' ] = ! empty( $license ) ? $license : bt_manager()->settings[ 'license' ];

$api_keys = bt_manager()->get_payments_config( 'braintree_api_keys_config' );

$woocommerceConfig = bt_manager()->get_payments_config( 'braintree_payments_woocommerce_config' );

$subscriptionConfig = bt_manager()->get_payments_config( 'braintree_subscription_config' );

$updated = false;

if ( ! empty( $api_keys ) ) {
	foreach ( $environments as $environment ) {
		$merchantId = $api_keys[ $environment ][ 'merchantId' ];
		$publicKey = $api_keys[ $environment ][ 'public_key' ];
		$privateKey = $api_keys[ $environment ][ 'private_key' ];
		bt_manager()->settings[ $environment . '_merchant_id' ] = $merchantId;
		bt_manager()->settings[ $environment . '_public_key' ] = $publicKey;
		bt_manager()->settings[ $environment . '_private_key' ] = $privateKey;
	}
	$activeEnvironment = $api_keys[ 'environment' ];
	bt_manager()->settings[ $activeEnvironment . '_environment' ] = 'yes';
	$updated = true;
}
if ( ! empty( $woocommerceConfig ) ) {
	bt_manager()->settings[ 'order_status' ] = ! empty( $woocommerceConfig[ 'order_status' ] ) ? $woocommerceConfig[ 'order_status' ] : bt_manager()->settings[ 'order_status' ];
	bt_manager()->settings[ 'order_prefix' ] = ! empty( $woocommerceConfig[ 'order_prefix' ] ) ? $woocommerceConfig[ 'order_prefix' ] : bt_manager()->settings[ 'order_prefix' ];
	bt_manager()->settings[ 'title_text' ] = ! empty( $woocommerceConfig[ 'payment_title' ] ) ? $woocommerceConfig[ 'payment_title' ] : bt_manager()->settings[ 'title_text' ];
	bt_manager()->settings[ 'paypal_only' ] = ! empty( $woocommerceConfig[ 'only_paypal' ] ) && $woocommerceConfig[ 'only_paypal' ] === 'true' ? 'yes' : bt_manager()->settings[ 'paypal_only' ];
	$updated = true;
}

if ( ! empty( $subscriptionConfig ) ) {
	bt_manager()->settings[ 'woocommerce_subscriptions_prefix' ] = ! empty( $subscriptionConfig[ 'order_prefix' ] ) ? $subscriptionConfig[ 'order_prefix' ] : bt_manager()->settings[ 'woocommerce_subscriptions_prefix' ];
	bt_manager()->settings[ 'braintree_subscriptions' ] = ! empty( $subscriptionConfig[ 'recurring_billing_type' ] ) && $subscriptionConfig[ 'recurring_billing_type' ] === 'braintree' ? 'yes' : '';
	bt_manager()->settings[ 'woocommerce_subscriptions' ] = ! empty( $subscriptionConfig[ 'recurring_billing_type' ] ) && $subscriptionConfig[ 'recurring_billing_type' ] !== 'braintree' ? 'yes' : '';
	$updated = true;
}
bt_manager()->settings[ 'enabled' ] = 'yes';

bt_manager()->update_settings();

delete_option( base64_encode( 'braintree_payments_license_status' ) );

delete_option( base64_encode( 'braintree_payments_license' ) );

delete_option( base64_encode( 'braintree_api_keys_config' ) );

delete_option( base64_encode( 'woocommerce_braintree_payment_gateway_settings' ) );

delete_option( base64_encode( 'braintree_payments_woocommerce_config' ) );

delete_option( base64_encode( 'braintree_subscription_config' ) );

delete_option( base64_encode( 'braintree_payments_next_activation' ) );

if ( $updated ) {
	add_action( 'admin_notices', function () {
		?>
<div class="updated notice notice-success braintree-update-message">
	<p><?php
		
		echo __( 'Version 2.3.0 is a major update. Not all of the data could be migrated properly due to a reorganization of how data is stored. 
    	  		Please check all of your configuration settings as a precaution. If you have Braintree subscriptions configured, you will need to reassign planId\'s to your products. Please follow the tutorials located on the
    	  		the <a target="_blank" href="' . get_admin_url() . 'admin.php?page=braintree-payments-tutorials">tutorials page</a>', 'braintree' )?></p>
</div>
<?php
	
	} );
}

?>