<?php
/**
 * Card shape form template.
 */
$cvv_enabled = bt_manager()->is_active('donation_cvv_field_enabled');
$postal_enabled = bt_manager()->is_active('donation_postal_field_enabled');
$save_enabled = bwc_display_save_payment_method();
?>
<div class="bfwc-card-form">
	<div class="bfwc-form-wrapper">
		<div class="bfwc-field-container">
			<label><?php echo bt_manager()->get_option('donation_card_number_label')?></label>
			<div id="bfwc-card-number" class="hosted-field">
				<span class="bfwc-card-type"></span>
			</div>
		</div>
	</div>
	<div class="bfwc-form-wrapper">
			<div class="bfwc-field-container field-exp-month">
				<label><?php echo bt_manager()->get_option('donation_card_expiration_date_label')?></label>
				<div id="bfwc-expiration-month" class="hosted-field"></div>
			</div>
			<div class="bfwc-field-container field-year">
				<div id="bfwc-expiration-year" class="hosted-field"></div>
			</div>
			<?php if($cvv_enabled):?>
			<div class="bfwc-field-container field-cvv">
				<label><?php echo bt_manager()->get_option('donation_card_cvv_label')?></label>
				<div id="bfwc-cvv" class="hosted-field"></div>
			</div>
			<?php endif;?>
	</div>
	<?php if($postal_enabled || $save_enabled):?>
		<div class="bfwc-form-wrapper">
			<?php if($postal_enabled):?>
				<div class="bfwc-form-wrapper">
					<div class="bfwc-field-container field-postal">
						<label><?php echo bt_manager()->get_option('donation_card_postal_label')?></label>
						<div id="bfwc-postal-code" class="hosted-field"></div>
					</div>
				</div>
			<?php endif;?>
			<?php if($save_enabled):?>
				<div class="bfwc-form-wrapper">
					<div class="bfwc-field-container field-save">
						<label><?php echo bt_manager()->get_option('donation_card_save_label')?></label>
						<input type="checkbox" id="bfwc_save_credit_card" name="bfwc_save_credit_card">
						<label class="bfwc-save-label" for="bfwc_save_credit_card"></label>
					</div>
				</div>
		<?php endif;?>
		</div>
	<?php endif;?>
</div>